### Method

# WebKit2 MemoryPressureSettings set_strict_threshold

#### Declaration [src]

    void
    webkit_memory_pressure_settings_set_strict_threshold (
      WebKitMemoryPressureSettings* settings,
      gdouble value
    )

#### Description [src]

Sets the memory limit for the strict policy to start working.

Sets `value` as the fraction of the defined memory limit where the strict policy starts working. This policy will try to reduce the memory footprint by releasing critical memory.

The threshold must be bigger than 0 and smaller than 1. Also, it must be bigger than the conservative threshold defined in `settings`, and smaller than the kill threshold if the latter is not 0. The default value is 0.5.

Available since: | 2.34

#### Parameters

`value` | `gdouble`
| Fraction of the memory limit where the strict policy starts working.